{ config, pkgs, ... }:

{
  imports = [
    ../modules/console.nix
    ../modules/local-dev.nix
    ../modules/home-config.nix
  ];
  
  fonts = {
    packages = with pkgs; [
      inter
      (nerdfonts.override { fonts = [ "Iosevka" ]; })
    ];
  };

  # Use a custom configuration.nix location.
  # $ darwin-rebuild switch -I darwin-config=$HOME/.config/nixpkgs/darwin/configuration.nix
  # environment.darwinConfig = "$HOME/.config/nixpkgs/darwin/configuration.nix";

  # Auto upgrade nix package and the daemon service.
  services.nix-daemon.enable = true;
  nix.package = pkgs.nix;

  networking.hostName = "ace";

  # Create /etc/zshrc that loads the nix-darwin environment.
  programs.zsh.enable = true;  # default shell on catalina

  # Used for backwards compatibility, please read the changelog before changing.
  # $ darwin-rebuild changelog
  system.stateVersion = 4;
}
